<style>
  body {
    font-family: Arial, sans-serif;
  }
  .container {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
  }
  .input-group {
    margin-bottom: 10px;
  }
  .input-group label {
    display: block;
    margin-bottom: 5px;
  }
  .input-group input {
    width: 100%;
    padding: 10px;
    margin-bottom: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }
  .input-group input[type="button"] {
    background-color: #ff6a00;
    color: white;
    cursor: pointer;
    border: none;
  }
  .input-group input[type="button"]:hover {
    background-color: #e65a00;
  }
  .result {
    background-color: #ff6a00;
    color: white;
    padding: 20px;
    text-align: center;
    border-radius: 4px;
  }
  .note {
    font-size: 0.8em;
    color: #666;
    margin-top: 10px;
  }
  .btn-submit {
    background-color: #ff6a00;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    display: block; /* Make the button a block element */
    width: 100%; /* Set the width of the button to match the inputs */
    box-sizing: border-box; /* Ensure padding and border are included in the width */
  }
  .btn-submit:hover {
    background-color: #e65a00;
  }
</style>


<!-- <form (ngSubmit)="onSubmit()" [formGroup]="miFormulario">
  <label for="nombre">Nombre:</label>
  <input type="text" formControlName="nombre" id="nombre">

  <label for="archivo">Archivo:</label>
  <input type="file" (change)="onFileSelect($event)" id="archivo">

  <button type="submit">Enviar</button>
</form> -->





<div class="container">
  <form (ngSubmit)="onSubmit()" [formGroup]="miFormulario">
    <div class="input-group">
      <label for="initialValue">Valor inicial de la inversión</label>
      <input type="text" id="initialValue" formControlName="initialValue" placeholder="Valor">
    </div>

    <div class="input-group">
      <label for="interestDays">Simulación de interés en días</label>
      <input type="number" id="interestDays" formControlName="interestDays" placeholder="Plazo en días" max="1900">
    </div>
    <div class="input-group">
      <label>Subir archivo</label>
      <div class="upload-btn-wrapper">
        <input type="file" name="myfile" (change)="onFileSelect($event)" id="archivo" />
      </div>
    </div>

    <div class="input-group">
      <button type="submit" class="btn-submit">Calcular</button>
    </div>
  </form>



  <div class="result">
    <p>Valor final</p>
    <h2>{{valorFinal}}</h2>
  </div>

  <div class="input-group">
    <p>Tasa de interés (EA)</p>
    <h2>{{tasaInteres}}</h2>
  </div>

  <p class="note">
    *Recuerda que con Itaú rentable puedes disponer de tu capital en cualquier momento,
    este plazo solo hace referencia a la simulación de los intereses generados.*
  </p>

  <!-- Add your pagination or slider component here -->
</div>


